Bug 244800 - update to latest version 3.4.0 to fix a database corruption bug
Summary: update to latest version 3.4.0 to fix a database corruption bug
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sqlite   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL: http://www.sqlite.org/
Whiteboard:
Keywords:
: 244801 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 09:32 UTC by acount closed by user
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 13:58:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description acount closed by user 2007-06-19 09:32:38 UTC
News: 2007-Jun-18 - Version 3.4.0

This release fixes two separate bugs either of which can lead to database 
corruption. Upgrading is strongly recommended. If you must continue using an 
older version of SQLite, please at least read about how to avoid these bugs at 
CorruptionFollowingBusyError and ticket #2418 

This release also adds explicit limits on the sizes and quantities of things 
SQLite will handle. The new limits might causes compatibility problems for 
existing applications that use excessively large strings, BLOBs, tables, or SQL 
statements. The new limits can be increased at compile-time to work around any 
problems that arise. Nevertheless, the version number of this release is 3.4.0 
instead of 3.3.18 in order to call attention to the possible incompatibility. 

There are also new features, including incremental BLOB I/O and incremental 
vacuum. See the change log for additional information.

-thanks-

Comment 1 acount closed by user 2007-06-19 09:35:28 UTC
*** Bug 244801 has been marked as a duplicate of this bug. ***

Comment 2 Paul Nasrat 2007-06-19 13:58:19 UTC
3.4.0-1 built for rawhide, I'll push to F7 updates after some testing in rawhide


Note You need to log in before you can comment on or make changes to this bug.